OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGeom

# IGESGeom_Plane Class Reference

defines IGESPlane, Type <108> Form <-1,0,1>
in package IGESGeom
A plane entity can be used to represent unbounded plane,
as well as bounded portion of a plane. In either of the
above cases the plane is defined within definition space
by means of coefficients A, B, C, D where at least one of
A, B, C is non-zero and A * XT + B * YT + C * ZT = D

`#include <IGESGeom_Plane.hxx>`

Inheritance diagram for IGESGeom_Plane:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGeom_Plane ()
Standard_EXPORT void | Init (const Standard_Real A, const Standard_Real B, const Standard_Real C, const Standard_Real D, const Handle(IGESData_IGESEntity)&aCurve, const gp_XYZ &attach, const Standard_Real aSize)
Standard_EXPORT void | SetFormNumber (const Standard_Integer form)
| Changes FormNumber (indicates the Type of Bound : 0 no Bound, 1 (External) Bound, -1 Hole) Remark that Init keeps this Value and must be consistent : aCurve Null if FormNumber = 0, Non-Null else Error if not in ranges [0-1] or [10-12] .
Standard_EXPORT void | Equation (Standard_Real &A, Standard_Real &B, Standard_Real &C, Standard_Real &D) const
Standard_EXPORT void | TransformedEquation (Standard_Real &A, Standard_Real &B, Standard_Real &C, Standard_Real &D) const
Standard_EXPORT Standard_Boolean | HasBoundingCurve () const
| returns True if there exists a bounding curve
Standard_EXPORT Standard_Boolean | HasBoundingCurveHole () const
| returns True if bounding curve exists and bounded portion is negative
Standard_EXPORT Handle_IGESData_IGESEntity | BoundingCurve () const
| returns Optional Bounding Curve, can be positive (normal clipping) or negative (hole) according to Form Number
Standard_EXPORT Standard_Boolean | HasSymbolAttach () const
| returns True if SymbolSize() > 0, False if SymbolSize() = 0
Standard_EXPORT gp_Pnt | SymbolAttach () const
| returns (X, Y, Z) if symbol exists else returns (0, 0, 0)
Standard_EXPORT gp_Pnt | TransformedSymbolAttach () const
| returns (X, Y, Z) if symbol exists after applying Transf. Matrix else returns (0, 0, 0)
Standard_EXPORT Standard_Real | SymbolSize () const
| Size of optional display symbol .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | theA
Standard_Real | theB
Standard_Real | theC
Standard_Real | theD
Handle_IGESData_IGESEntity | theCurve
gp_XYZ | theAttach
Standard_Real | theSize

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_Plane::IGESGeom_Plane | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_Plane::BoundingCurve | ( |  | ) | const

Standard_EXPORT void IGESGeom_Plane::Equation | ( | Standard_Real & | A,
|  | Standard_Real & | B,
|  | Standard_Real & | C,
|  | Standard_Real & | D
| ) | const

Standard_EXPORT const IGESGeom_Plane::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESGeom_Plane::HasBoundingCurve | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESGeom_Plane::HasBoundingCurveHole | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESGeom_Plane::HasSymbolAttach | ( |  | ) | const

Standard_EXPORT void IGESGeom_Plane::Init | ( | const Standard_Real | A,
|  | const Standard_Real | B,
|  | const Standard_Real | C,
|  | const Standard_Real | D,
|  | const Handle(IGESData_IGESEntity)& | aCurve,
|  | const gp_XYZ & | attach,
|  | const Standard_Real | aSize
| ) |

Standard_EXPORT void IGESGeom_Plane::SetFormNumber | ( | const Standard_Integer | form | ) |

Standard_EXPORT gp_Pnt IGESGeom_Plane::SymbolAttach | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGeom_Plane::SymbolSize | ( |  | ) | const

Standard_EXPORT void IGESGeom_Plane::TransformedEquation | ( | Standard_Real & | A,
|  | Standard_Real & | B,
|  | Standard_Real & | C,
|  | Standard_Real & | D
| ) | const

Standard_EXPORT gp_Pnt IGESGeom_Plane::TransformedSymbolAttach | ( |  | ) | const

## Field Documentation

Standard_Real IGESGeom_Plane::theA`[private]`

gp_XYZ IGESGeom_Plane::theAttach`[private]`

Standard_Real IGESGeom_Plane::theB`[private]`

Standard_Real IGESGeom_Plane::theC`[private]`

Handle_IGESData_IGESEntity IGESGeom_Plane::theCurve`[private]`

Standard_Real IGESGeom_Plane::theD`[private]`

Standard_Real IGESGeom_Plane::theSize`[private]`

The documentation for this class was generated from the following file:

- IGESGeom_Plane.hxx